### Method

# Gio DBusObjectManagerServer get_connection

since: 2.30

#### Declaration

    GDBusConnection*
    g_dbus_object_manager_server_get_connection (
      GDBusObjectManagerServer* manager
    )

#### Description

Gets the `GDBusConnection` used by `manager`.

Available since: 2.30

Gets property | `Gio.DBusObjectManagerServer:connection`

#### Return value

Type: `GDBusConnection`

A `GDBusConnection` object or `NULL` if `manager` isn’t exported on a connection. The returned object should be freed with g_object_unref().

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.